unit Unit6;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine, VCLTee.Series,
  Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, Vcl.StdCtrls, VCLTee.TeeTools, VCLTee.TeeSeriesRegion,
  Vcl.Buttons;

type
  TForm6 = class(TForm)
    Chart1: TChart;
    Series1: TLineSeries;
    btUpdatealueIndexBounds: TButton;
    ChartTool2: TSeriesRegionTool;
    procedure Chart1Zoom(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btUpdatealueIndexBoundsClick(Sender: TObject);
  private
    procedure FillDemoPoints;
    procedure ShowValueIndexBounds;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form6: TForm6;

implementation

{$R *.dfm}

procedure TForm6.FormShow(Sender: TObject);
begin
  FillDemoPoints;
  ShowValueIndexBounds;
end;

procedure TForm6.Chart1Zoom(Sender: TObject);
begin
  Chart1.Repaint;      // Needed in order to have e.g. "Series1.FirstValueIndex", "Series1.LastValueIndex" updated
  ShowValueIndexBounds;
end;

procedure TForm6.ShowValueIndexBounds;
begin
  Self.Caption := Format('%d, %d', [Series1.FirstValueIndex, Series1.LastValueIndex]);
end;

procedure TForm6.btUpdatealueIndexBoundsClick(Sender: TObject);
begin
  ShowValueIndexBounds;
end;

procedure TForm6.FillDemoPoints;
var
  i: Integer;
  Value: Double;
begin
  Series1.Clear;
  Value := 10;
  for i := 1 to 500 do begin
    Value := Value + Random - 0.5;
    Series1.AddXY(i, Value);
  end;
end;

end.
